Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.monitor

# Interface OperationAware

public interface OperationAware
Allows monitoring of driver operations like the execution of statements.

The notification of `startOperation(Operation)` and `endOperation(Operation)` occurs on the thread performing the operation. Implementations of `OperationAware` should complete these methods as quick as possible and prevent any blocking operations to avoid excessive performance degradation of the driver.

Note: This is an experimental feature. The implementation or API may be removed or changed at any time.

Since:
  4.0
Author:
  Vasiliy Yashkov
See Also:
  - `OperationMonitor`

## Method Summary

Modifier and Type
Method
Description
`void`
`endOperation(Operation operation)`
End of operation.
`void`
`startOperation(Operation operation)`
Start of operation.

## Method Details

### startOperation

void startOperation(Operation operation)
Start of operation.

Parameters:
  `operation` - operation.

### endOperation

void endOperation(Operation operation)
End of operation.

Parameters:
  `operation` - operation.